Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream
Class SplitStreamSubscribeContent

    java.lang.Object
      rice.p2p.splitstream.SplitStreamSubscribeContent

All Implemented Interfaces:
  java.io.Serializable, RawScribeContent, ScribeContent

    public class SplitStreamSubscribeContent

extends java.lang.Object
implements RawScribeContent

This represents data sent through scribe for splitstream during a subscribe

Version:
  $Id: SplitStreamSubscribeContent.java 3427 2006-10-24 11:59:40Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `stage` The stage that the client attempting to join is in
`static int` | `STAGE_FINAL` The final stage of the join process
`static int` | `STAGE_NON_FINAL` The first stage of the join process
`static short` | `TYPE` DESCRIBE THE FIELD

Constructor Summary
`SplitStreamSubscribeContent(InputBuffer buf)` Constructor for SplitStreamSubscribeContent.
`SplitStreamSubscribeContent(int stage)` Constructor taking in a byte[]

Method Summary
`int` | `getStage()` Returns the data for this content
`short` | `getType()` Raw Serialization **************************************
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stage

    protected int stage

  The stage that the client attempting to join is in

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### STAGE_NON_FINAL

    public static int STAGE_NON_FINAL

  The first stage of the join process

### STAGE_FINAL

    public static int STAGE_FINAL

  The final stage of the join process

Constructor Detail

### SplitStreamSubscribeContent

    public SplitStreamSubscribeContent(int stage)

  Constructor taking in a byte[]

  Parameters:
    `stage` - DESCRIBE THE PARAMETER

### SplitStreamSubscribeContent

    public SplitStreamSubscribeContent(InputBuffer buf)
                                throws java.io.IOException

  Constructor for SplitStreamSubscribeContent.

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getStage

    public int getStage()

  Returns the data for this content

  Returns:
    The data for this content

### getType

    public short getType()

  Raw Serialization **************************************

  Specified by:
    `getType` in interface `RawScribeContent`
  Returns:
    The Type value

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in interface `RawScribeContent`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.